Up

# GSTable class documentation

### Authors

Nicola Pero (`n.pero@mi.flashnet.it`)

> The GSTable class (a GNU extension)

Copyright: (C) 1999 Free Software Foundation, Inc.

# Software documentation for the GSTable class

## GSTable : NSView

> Declared in:
>   GNUstepGUI/GSTable.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addColumn
- -addRow
- -init
- -initWithNumberOfRows:numberOfColumns:
- -isXResizingEnabledForColumn:
- -isYResizingEnabledForRow:
- -minimumSize
- -numberOfColumns
- -numberOfRows
- -putView:atRow:column:
- -putView:atRow:column:withMargins:
- -putView:atRow:column:withMinXMargin:maxXMargin:minYMargin:maxYMargin:
- -putView:atRow:column:withXMargins:yMargins:
- -setBorder:
- -setMaxXBorder:
- -setMaxYBorder:
- -setMinXBorder:
- -setMinYBorder:
- -setXBorder:
- -setXResizingEnabled:forColumn:
- -setYBorder:
- -setYResizingEnabled:forRow:
- -sizeToFit

### addColumn

- (void) addColumn;

Description forthcoming.

### addRow

- (void) addRow;

Description forthcoming.

### init

- (id) init;

Description forthcoming.

### initWithNumberOfRows:numberOfColumns:

- (id) initWithNumberOfRows: (int)rows numberOfColumns: (int)columns;

Description forthcoming.

### isXResizingEnabledForColumn:

- (BOOL) isXResizingEnabledForColumn: (int)aColumn;

Description forthcoming.

### isYResizingEnabledForRow:

- (BOOL) isYResizingEnabledForRow: (int)aRow;

Description forthcoming.

### minimumSize

- (NSSize) minimumSize;

Description forthcoming.

### numberOfColumns

- (int) numberOfColumns;

Description forthcoming.

### numberOfRows

- (int) numberOfRows;

Description forthcoming.

### putView:atRow:column:

- (void) putView: (NSView*)aView atRow: (int)row column: (int)column;

Description forthcoming.

### putView:atRow:column:withMargins:

- (void) putView: (NSView*)aView atRow: (int)row column: (int)column withMargins: (float)margins;

Description forthcoming.

### putView:atRow:column:withMinXMargin:maxXMargin:minYMargin:maxYMargin:

- (void) putView: (NSView*)aView atRow: (int)row column: (int)column withMinXMargin: (float)minXMargin maxXMargin: (float)maxXMargin minYMargin: (float)minYMargin maxYMargin: (float)maxYMargin;

Description forthcoming.

### putView:atRow:column:withXMargins:yMargins:

- (void) putView: (NSView*)aView atRow: (int)row column: (int)column withXMargins: (float)xMargins yMargins: (float)yMargins;

Description forthcoming.

### setBorder:

- (void) setBorder: (float)aBorder;

Description forthcoming.

### setMaxXBorder:

- (void) setMaxXBorder: (float)aBorder;

Description forthcoming.

### setMaxYBorder:

- (void) setMaxYBorder: (float)aBorder;

Description forthcoming.

### setMinXBorder:

- (void) setMinXBorder: (float)aBorder;

Description forthcoming.

### setMinYBorder:

- (void) setMinYBorder: (float)aBorder;

Description forthcoming.

### setXBorder:

- (void) setXBorder: (float)aBorder;

Description forthcoming.

### setXResizingEnabled:forColumn:

- (void) setXResizingEnabled: (BOOL)aFlag forColumn: (int)aColumn;

Description forthcoming.

### setYBorder:

- (void) setYBorder: (float)aBorder;

Description forthcoming.

### setYResizingEnabled:forRow:

- (void) setYResizingEnabled: (BOOL)aFlag forRow: (int)aRow;

Description forthcoming.

### sizeToFit

- (void) sizeToFit;

Description forthcoming.

Up